Summary:        Wayland protocols that adds functionality not available in the core protocol
Name:           wayland-protocols
Version:        1.44
Release:        1%{?dist}
License:        MIT
URL:            https://wayland.freedesktop.org/
Source0:        https://gitlab.freedesktop.org/wayland/%{name}/-/releases/%{version}/downloads/%{name}-%{version}.tar.xz

BuildRequires:  gcc gcc-g++ meson wayland-devel

BuildArch:      noarch

%description
This package provides Wayland protocols that adds functionality not available
in the Wayland core protocol. Such protocols either adds completely new functionality,
or extends the functionality of some other protocol either in Wayland core,
or some other protocol in wayland-protocols.

%package        devel
Summary:        Wayland protocols that adds functionality not available in the core protocol

%description devel
This package provides Wayland protocols that adds functionality not available
in the Wayland core protocol. Such protocols either adds completely new functionality,
or extends the functionality of some other protocol either in Wayland core,
or some other protocol in wayland-protocols.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson
%meson_build

%install
%meson_install

%files devel
%license COPYING
%doc README.md
%{_datadir}/pkgconfig/%{name}.pc
%{_datadir}/%{name}/

%changelog
* Thu Jun 05 2025 Upgrade Robot <upbot@opencloudos.tech> - 1.44-1
- Upgrade to version 1.44

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.32-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.32-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.32-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 kianli <kianli@tencent.com> - 1.32-1
- Upgrade to 1.32

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.31-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.31-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 5 2022 Zhao Zhen <jeremiazhao@tencent.com> - 1.31-1
- updated to 1.31

* Mon Nov 14 2022 Shuo Wang <abushwang@tencent.com> - 1.24-1
- initial build

